<template>
    <div>
        <div class="col3">
            <img :src="hero.imageUrl" style="width: 100px; height: 150px; overflow: hidden;">
        </div>
        <div class="col3"><h2>{{ hero.name}} Details</h2>
            <div><span>id: </span>{{hero.id}}</div>
            <div>
                <label>name:
                    <input v-model="hero.name"/>
                </label>
            </div>
        </div>
    </div>
</template>

<script>
    import heroDataService from './HeroDataService'

    export default {
        props: {
            heroId: {
                type: String,
                required: true
            }
        },

        data() {
            return {
                hero: heroDataService.getHeroById(this.heroId)
            }
        },
    }
</script>